%define ALD_Ver		2.0

#USE gcc-7.5.0

%define OrgName pkg-config
%define mC_Version 1.2.4s

Name:         mC-%{OrgName}
License:      GPL
Summary:      This is pkg-config
Version:      0.25
Release:      %{mC_Version}.0

Source: %{OrgName}-%{version}.tar.xz
Source2: %{OrgName}-%{version}-patches.tgz

%define DestDir		/Embedded/mC/%{mC_Version}
%define _prefix /usr/mC/%{mC_Version}

# -----------------------------------------------------
%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}/mC/%{mC_Version}
%define _CROSS 0
%else
# rpm --target=x86_64 -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%endif

# -----------------------------------------------------

%if %{have_auto_local}
%define __os_install_post %{nil}
%endif

%if %{_CROSS}
%define CrossPath /cross/%{_target_cpu}
%else
%define CrossPath %{nil}
%endif

#------------------ CROSS DIR --------------------

%define target %{_arch}-linux-musl
%define docdir %{_defaultdocdir}/%{OrgName}

# ------------------- description ------------------------------------
%description
pkg-config is a script to make putting together all the build
flags when compiling/linking a lot easier.

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{OrgName}-%{version}

tar -xaf %SOURCE2
patch -b -z .orig -p0<patches/pkg-config-0.25.patch
%if %{_CROSS}
%if %{_arch} == "x86_64"
patch -b -z .orig -p0<patches/pkg-config-0.25.x86_64.patch
%endif
%if %{_arch} == "arm"
patch -b -z .orig -p0<patches/pkg-config-0.25.arm.patch
%endif
%endif # _CROSS

# ------------------- Build ------------------------------------------
%Build
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

%if %{_arch} == "i386"
OPTFLAGS="-Os -march=i586 -mpreferred-stack-boundary=2 -falign-functions=1 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-Os"
%endif
%if %{_arch} == "arm"
OPTFLAGS="%{optflags} -Os -munaligned-access"
%endif

OPTFLAGS="$OPTFLAGS -fno-asynchronous-unwind-tables -ffunction-sections -fdata-sections"

CFLAGS="$OPTFLAGS"
LDFLAGS="-Wl,--gc-sections"

%configure  \
	--without-debug \
	--enable-debug=no \
	--enable-threads=no \
	--with-threads=none \
	--with-installed-glib \
	--with-pc-path=%{_prefix}/%{_lib}/pkgconfig:%{_prefix}/share/pkgconfig \
	&>FConfigure_log.txt

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
export PATH=$PATH:%{CrossPath}%{_prefix}/bin
export GCC_NoHostPath=d

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt
cp -a AUTHORS README $RPM_BUILD_ROOT%{docdir}/
ln -s /usr/share/doc/gpl-2.0.txt $RPM_BUILD_ROOT%{docdir}/COPYING
rm -r $RPM_BUILD_ROOT%{_mandir}
rm -r $RPM_BUILD_ROOT%{docdir}/pkg-config-guide.html

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-target_platform=%{target}-
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean
%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# ------------------- Files ------------------------------------------
%files
%{_bindir}
%{_datadir}/aclocal
%{docdir}/AUTHORS
%{docdir}/COPYING
%{docdir}/README
